Loading...
Searching...
No Matches
etl::io_port_wos< T, Address > Class Template Reference

Write only port with shadow register. More...

`#include <io_port.h>`

## Public Types

typedef T | value_type
typedef volatile T * | pointer
typedef volatile const T * | const_pointer
typedef volatile T & | reference
typedef volatile const T & | const_reference
typedef etl::private_io_port::iterator< io_port_wos< T, Address > > | iterator
typedef etl::private_io_port::const_iterator< io_port_wos< T, Address > > | const_iterator

## Public Member Functions

| ETL_STATIC_ASSERT (etl::is_integral< T >::value, "Not an integral type")
| io_port_wos ()
| Default constructor.
iterator | iter ()
| Get an iterator to this port.
const_iterator | iter () const
| Get a const_iterator to this port.
const_iterator | citer () const
| Get a const_iterator to this port.
| operator value_type () const
| Read.
value_type | read () const
| Read.
void | write (value_type value_)
| Write.
io_port_wos & | operator= (value_type value_)
| Write.
io_port_wos & | operator|= (value_type value)
| Or-Equals operator.
io_port_wos & | operator&= (value_type value)
| And-Equals operator.
io_port_wos & | operator^= (value_type value)
| Exclusive-Or-Equals operator.
io_port_wos & | operator<<= (int shift)
| Left-Shift-Equals operator.
io_port_wos & | operator>>= (int shift)
| Right-Shift-Equals operator.
value_type | operator~ () const
| Not operator.
pointer | get_address ()
| Get the IO port address.

## Detailed Description

template<typename T, uintptr_t Address = 0>
class etl::io_port_wos< T, Address >

Write only port with shadow register.

The documentation for this class was generated from the following file:

- include/etl/io_port.h